Bug 194087 - Exception on starting up frysk
Summary: Exception on starting up frysk
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: frysk   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Cagney
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-05 17:59 UTC by Dave Malcolm
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 11:50:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Malcolm 2006-06-05 17:59:54 UTC
Description of problem:
frysk is failing to start.

Version-Release number of selected component (if applicable):
frysk-0.0.1.2006.02.19.rh2-0.FC5.2
libgtk-java-2.8.4-3
libgcj-4.1.0-17

How reproducible:
100%

Steps to Reproduce:
1.  Start frysk from command line ("frysk")
  
Actual results:
GTK Accessibility Module initialized
Error loading images on path /usr/share/frysk/images! Exiting
java.lang.StringIndexOutOfBoundsException: String index out of range: 8054560
   at java.lang.String.charAt(libgcj.so.7)
   at org.gnu.glib.GObject.getGObjectFromHandle(libgtkjava-2.8.so)
   at org.gnu.glib.GObject.retrieveGObject(libgtkjava-2.8.so)
   at frysk.gui.common.FryskIconSet.addToFactory(frysk)
   at frysk.gui.common.IconManager.addIconSet(frysk)
   at frysk.gui.common.IconManager.loadIcons(frysk)
   at frysk.gui.Gui.gui(frysk)
   at frysk.main(frysk)


Expected results:
frysk ought to start up cleanly

Comment 1 Dave Malcolm 2006-06-30 11:50:36 UTC
Currently working for me in rawhide


Note You need to log in before you can comment on or make changes to this bug.